// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include "STSP.h"

STSP::STSP(Utils::CUCTime OBT,
	   unsigned int GSID,
	   double GSDelay,
	   double OBDHDelay,
	   double signalDelay,
	   STime uncorrectedSTSPTime,
	   STime correctedXMCSSTSPTime,
	   STime correctedSTSPTime,
	   STime currentFrameTime,
	   unsigned int MFCVC0,
	   unsigned int MFCSTSP
	   ) {
  
  this->OBT = OBT;
  this->GSID = GSID;
  this->GSDelay = GSDelay;
  this->OBDHDelay = OBDHDelay;
  this->signalDelay = signalDelay;
  this->uncorrectedSTSPTime   = uncorrectedSTSPTime;
  this->correctedXMCSSTSPTime = correctedXMCSSTSPTime;
  this->correctedSTSPTime     = correctedSTSPTime;
  this->currentFrameTime      = currentFrameTime;
  this->MFCVC0 = MFCVC0;
  this->MFCSTSP = MFCSTSP;
  
}
