// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef STSP_H
#define STSP_H

#include "STime.h"
#include "Utils.h"

class STSP {
  
 public:
  
  STSP(Utils::CUCTime OBT,
       unsigned int GSID,
       double GSDelay,
       double OBDHDelay,
       double signalDelay,
       STime uncorrectedSTSPTime,
       STime correctedXMCSSTSPTime,
       STime correctedSTSPTime,
       STime currentFrameTime,
       unsigned int MFCVC0,
       unsigned int MFCSTSP
       );
  
  Utils::CUCTime OBT;
  
  STime uncorrectedSTSPTime;

  STime correctedXMCSSTSPTime;

  STime correctedSTSPTime;

  STime currentFrameTime;
  
  unsigned int GSID;
  
  double GSDelay;
  
  double OBDHDelay;
  
  double signalDelay;
  
  unsigned int MFCVC0;
  
  unsigned int MFCSTSP;

};

#endif
