#!/bin/bash
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#
# stsp_setclenaup.sh 
#
# Script for cleaning up the TCX gen environment
#
# Env vars used: STSPHOME
#

#
# Move newly created files to new directory
echo "Checking newly created files in $STSPHOME"
if [ -f $STSPHOME/RTX_* ]; then
    echo "Found. Moving newly created files to /spare"
    mv -f $STSPHOME/RTX_* $STSPHOME/spare/
fi

#
# Move any remnant from previous runs to processed directory
echo "Checking remnant files from previous runs files in /new"
if [ -f  $STSPHOME/new/* ]; then
    echo "Found. Moving remnant files to /spare"
    mv -f $STSPHOME/new/* $STSPHOME/spare/
fi

#

