#!/bin/bash
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#
# stsp_preparation.sh 
#
# Script for getting fds data for the TCX gen environment
#
# Env. Vars used: 
#  STSPHOME
#  STSPFDS
#  STSPXMMURL
#
# CR x4 jcv 8-Oct-08 New env variable for XMM URL
#

echo "stsp_preparation starts"
date

echo "GETTING FDS DATA"
echo "===================="
#
# Get the orbita file from the website  
echo "Getting orbita file"
#wget -q http://xmm.vilspa.esa.es/~xmmdoc/orbit/data/orbita.tar.gz -O $STSPFDS/orbita.tar.gz
wget -q $STSPXMMURL/orbita.tar.gz -O $STSPFDS/orbita.tar.gz

#
# Untar it
tar zxf $STSPFDS/orbita.tar.gz  -C $STSPFDS/

#
# Get the Revolution number from the website
echo "Getting latest revno file"
#wget -q http://xmm.vilspa.esa.es/~xmmdoc/orbit/data/revno -O $STSPFDS/revno
wget -q $STSPXMMURL/revno -O $STSPFDS/revno
#
# Format it into the required form
grep "START REVOLUTION" $STSPFDS/revno | awk '{print $7,$4}' > $STSPHOME/revno.txt

echo "stsp_preparation ending"
