#!/bin/bash
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#
# stsp_runtcx.sh 
#
# Script for running TCX gen
#
# Usage: $0 [<rev>] / default=routine loop
# Arg1 [revolution number]
#
# Env var used: STSPHOME
#

date

if [ $# = 0 ] ; then
 runmode=`echo "loop"` 
else
 runmode=`echo "single"`
 myrev=$1
fi
echo "------------------"
echo "Starting tcxgen in mode $runmode"

. stsp_settcx.sh

echo "Using STSPHOME as " $STSPHOME
echo "------------------"

#
cd $STSPHOME

stsp_preparation.sh
stsp_cleanup.sh

if [ "$runmode" = "single" ] ; then
  echo "calling runrev $myrev"
  stsp_runrev.sh $myrev 
else
   echo "calling runloop"
 stsp_runloop.sh 
fi

echo "------------------"
echo "runtcx EXITING"
echo "------------------"
