// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include <iostream>

#include "Utils.h"
#include "STime.h"
#include "Delay.h"

///////////////////////
#include "getdelays.h"
///////////////////////
//
// New utility for CR x6
//
//
void getdelays () {
  
  Delay myDelayObj;

  STime ert = stringParameter("ert");
  unsigned char  gsid = intParameter("gsid");

  double dert = Utils::STime2MJD2000(ert); 

  double dDelays=myDelayObj.getSignalDelay(ert,gsid);

  std::cout << "DELAYS calculation " <<  std::endl; 
  std::cout << "Ert (Stime) = " << ert << std::endl; 
  std::cout << "Ert (tostring) = " << ert.toString(6) << std::endl; 
  std::cout << "Ert (mjd) = " << dert << std::endl; 
  std::cout << "Gsid = " << (int)gsid << std::endl; 
  std::cout << "Delay (single precision) as from SIGDEL = " << dDelays << std::endl; 
  std::cout << setprecision(16);
  std::cout << "Delay (double precision) as from SIGDEL = " << dDelays << std::endl; 


}
